edu.wpi.cscore

## Enum HttpCamera.HttpCameraKind

- java.lang.Object
- - java.lang.Enum<HttpCamera.HttpCameraKind>
  - - edu.wpi.cscore.HttpCamera.HttpCameraKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HttpCamera.HttpCameraKind>
  Enclosing class:
    HttpCamera

      public static enum HttpCamera.HttpCameraKind
      extends java.lang.Enum<HttpCamera.HttpCameraKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kAxis`
    `kCSCore`
    `kMJPGStreamer`
    `kUnknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static HttpCamera.HttpCameraKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HttpCamera.HttpCameraKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnknown

          public static final HttpCamera.HttpCameraKind kUnknown

    - #### kMJPGStreamer

          public static final HttpCamera.HttpCameraKind kMJPGStreamer

    - #### kCSCore

          public static final HttpCamera.HttpCameraKind kCSCore

    - #### kAxis

          public static final HttpCamera.HttpCameraKind kAxis

  - ### Method Detail

    - #### values

          public static HttpCamera.HttpCameraKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpCamera.HttpCameraKind c : HttpCamera.HttpCameraKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpCamera.HttpCameraKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()